#if !defined(AFX_BASEFRAME_H__5804A705_4C29_47BD_ABD9_325BD8EA5BBB__INCLUDED_)
#define AFX_BASEFRAME_H__5804A705_4C29_47BD_ABD9_325BD8EA5BBB__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// BaseFrame.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CBaseFrame frame

class CBaseFrame : public CFrameWnd
{
	DECLARE_DYNCREATE(CBaseFrame)
protected:

// Attributes
	CToolBar	m_wndToolBar;
	CImageList	m_il;
	CImageList	m_ild;

	UINT	m_Mode;
public:
	CSplitterWnd	m_wndVSplitter;
	CSplitterWnd	m_wndHSplitter;

// Operations
public:
	bool Init(CaplAPI *api, CaplInstance* BaseClassifierSystem = NULL);
	CBaseFrame();
	CBaseFrame(UINT Mode);
	virtual ~CBaseFrame();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBaseFrame)
	public:
	virtual BOOL DestroyWindow();
	protected:
	virtual BOOL OnCreateClient(LPCREATESTRUCT lpcs, CCreateContext* pContext);
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CBaseFrame)
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_BASEFRAME_H__5804A705_4C29_47BD_ABD9_325BD8EA5BBB__INCLUDED_)
